## gegl-operations-util

gegl-operations-util

## Functions

gchar ** | gegl_list_operations ()
gboolean | gegl_has_operation ()
GParamSpec ** | gegl_operation_list_properties ()
GParamSpec * | gegl_operation_find_property ()
const gchar * | gegl_operation_get_property_key ()
gchar ** | gegl_operation_list_property_keys ()
const gchar * | gegl_param_spec_get_property_key ()
void | gegl_param_spec_set_property_key ()
gdouble | gegl_coordinate_relative_to_pixel ()
gdouble | gegl_coordinate_pixel_to_relative ()
gchar ** | gegl_operation_list_keys ()
const gchar * | gegl_operation_get_key ()

## Description

## Functions

### gegl_list_operations ()

    gchar **
    gegl_list_operations (guint *n_operations_p);

#### Parameters

n_operations_p | return location for number of operations. | [out caller-allocates]

#### Returns

An alphabetically sorted array of available operation names. This excludes any compat-name registered by operations. The list should be freed with g_free after use. --- gchar **operations; guint n_operations; gint i;

operations = gegl_list_operations (&n_operations); g_print ("Available operations:\n"); for (i=0; i < n_operations; i++) { g_print ("\t`s`\n", operations[i]); } g_free (operations);.

[transfer container][array length=n_operations_p]

### gegl_has_operation ()

    gboolean
    gegl_has_operation (const gchar *operation_type);

#### Parameters

operation_type | the name of the operation |

#### Returns

A boolean telling whether the operation is present or not. This also returns true for any compat-name registered by operations.

### gegl_operation_list_properties ()

    GParamSpec **
    gegl_operation_list_properties (const gchar *operation_type,
                                    guint *n_properties_p);

#### Parameters

operation_type | the name of the operation type we want to query to properties of. |
n_properties_p | return location for number of properties. | [out caller-allocates]

#### Returns

An allocated array of GParamSpecs describing the properties of the operation available when a node has operation_type set. The list should be freed with g_free after use.

[transfer container][array length=n_properties_p]

### gegl_operation_find_property ()

    GParamSpec *
    gegl_operation_find_property (const gchar *operation_type,
                                  const gchar *property_name);

### gegl_operation_get_property_key ()

    const gchar *
    gegl_operation_get_property_key (const gchar *operation_type,
                                     const gchar *property_name,
                                     const gchar *property_key_name);

#### Parameters

operation_type | the name of the operation type we want to query to property keys for. |
property_name | the property to query a key for. |
property_key_name | the property mata data key to query |

#### Returns

NULL or a string with the meta-data value for the operation key.

### gegl_operation_list_property_keys ()

    gchar **
    gegl_operation_list_property_keys (const gchar *operation_type,
                                       const gchar *property_name,
                                       guint *n_keys);

#### Parameters

operation_type | the name of the operation type we want to query to property keys for. |
property_name | the property to query a key for. |
n_keys | return location for number of property keys. | [out caller-allocates]

#### Returns

An allocated NULL terminated array of property-key names. The list should be freed with g_free after use.

[transfer container][array length=n_keys]

### gegl_param_spec_get_property_key ()

    const gchar *
    gegl_param_spec_get_property_key (GParamSpec *pspec,
                                      const gchar *key_name);

### gegl_param_spec_set_property_key ()

    void
    gegl_param_spec_set_property_key (GParamSpec *pspec,
                                      const gchar *key_name,
                                      const gchar *value);

### gegl_coordinate_relative_to_pixel ()

    gdouble
    gegl_coordinate_relative_to_pixel (gdouble relative,
                                       gdouble pixel_dim);

### gegl_coordinate_pixel_to_relative ()

    gdouble
    gegl_coordinate_pixel_to_relative (gdouble pixel,
                                       gdouble pixel_dim);

### gegl_operation_list_keys ()

    gchar **
    gegl_operation_list_keys (const gchar *operation_type,
                              guint *n_keys);

#### Parameters

operation_type | the name of the operation type we want to query to property keys for. |
n_keys | return location for number of property keys. | [out caller-allocates]

#### Returns

An allocated NULL terminated array of operation-key names. The list should be freed with g_free after use.

[transfer container][array length=n_keys]

### gegl_operation_get_key ()

    const gchar *
    gegl_operation_get_key (const gchar *operation_type,
                            const gchar *key_name);